Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.util
Class FileOutputBuffer

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.DataOutputStream
                  org.mpisws.p2p.transport.util.FileOutputBuffer

All Implemented Interfaces:
  java.io.Closeable, java.io.DataOutput, java.io.Flushable, OutputBuffer

    public class FileOutputBuffer

extends java.io.DataOutputStream
implements OutputBuffer

Field Summary

Fields inherited from class java.io.DataOutputStream
`written`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`FileOutputBuffer(java.io.File f)`
`FileOutputBuffer(java.io.File f, boolean append)`
`FileOutputBuffer(java.lang.String fileName)`

Method Summary
`int` | `bytesRemaining()`
`void` | `writeByte(byte v)`
`void` | `writeChar(char v)`
`void` | `writeShort(short v)`

Methods inherited from class java.io.DataOutputStream
`flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.io.FilterOutputStream
`close, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.rawserialization.OutputBuffer
`write, writeBoolean, writeDouble, writeFloat, writeInt, writeLong, writeUTF`

Methods inherited from interface java.io.DataOutput
`write`

Constructor Detail

### FileOutputBuffer

    public FileOutputBuffer(java.io.File f,
                            boolean append)
                     throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileOutputBuffer

    public FileOutputBuffer(java.io.File f)
                     throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### FileOutputBuffer

    public FileOutputBuffer(java.lang.String fileName)
                     throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### bytesRemaining

    public int bytesRemaining()

  Specified by:
    `bytesRemaining` in interface `OutputBuffer`

### writeByte

    public void writeByte(byte v)
                   throws java.io.IOException

  Specified by:
    `writeByte` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

### writeChar

    public void writeChar(char v)
                   throws java.io.IOException

  Specified by:
    `writeChar` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(short v)
                    throws java.io.IOException

  Specified by:
    `writeShort` in interface `OutputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.